Subject: bug#7098: Emacs24 crash with segmentation fault

From: Thierry Volpiatto <[email-masked]>
Date: Sun, 26 Sep 2010 07:25:58 +0200

Thierry Volpiatto <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Thierry Volpiatto <[email-masked]>
>>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
>>> Date: Sat, 25 Sep 2010 13:39:05 +0200
>>> 
>>> I can crash at everytime now using the same command that recurse
>>> through a big tree and match regexp in file (like rgrep but all lisp).
>>
>> Is it possible to post that command and any data it uses here?  Then
>> perhaps others could join the effort of hunting down this bug.
>>
>
> After stepping slowly with git-bisect from:
>
> ,----
> |    commit a05743b1752bb83d85e16ccaaff80f53dac3f986
> |    Commit: Stefan Monnier <[email-masked]>
> |    CommitDate: Sun Sep 19 11:49:21 2010 +0200
> | 
> |       * lisp/emacs-lisp/float-sup.el (float-pi): New name for `pi'.
> |       (float-e): New name for `e'.
> |       (degrees-to-radians, radians-to-degrees):
> |       * lisp/calendar/solar.el (solar-longitude):
> |       * lisp/calculator.el (calculator-registers, calculator-funcall):
> |       * lisp/textmodes/artist.el (artist-spray-random-points):
> |       * lisp/play/bubbles.el (bubbles--initialize-images): Use new names.
> `----
>
> I end up here:
>
> ,----
> | thierry@~/tmp/emacs-git-tip $ git-bisect good
> | 8e6f7306e47e2244a1c80fb933485fe42efe29b6 is the first bad commit
> | commit 8e6f7306e47e2244a1c80fb933485fe42efe29b6
> | Author: Ari Roponen <[email-masked]>
> | Date:   Tue Sep 21 21:33:59 2010 +0200
> | 
> |     * doc.c (Fsnarf_documentation): Use memmove instead of memcpy as
> |     the regions may overlap.
> | 
> | :040000 040000 4806164fd8ce2b3de31292d002fd23bb2fcc3fed 587564f837cc8526b0e5c94df936c54f1136579d M	src
> `----
>
> Hope that help.
Sorry it finish by crashing again:

,----
| Program received signal SIGSEGV, Segmentation fault.
| 0x0817ddc5 in mark_object (arg=1634758445) at alloc.c:5351
| 5351          if (VECTOR_MARKED_P (XVECTOR (obj)))
`----

I am on this commit:

,----
|    commit 00bbf32677ebca75b47e89a7f0511da2257654d2
|    Commit: Juanma Barranquero <[email-masked]>
|    CommitDate: Tue Sep 21 14:49:59 2010 +0200
| 
|       src/makefile.w32-in ($(BLD)/sysdep.$(O)): Update dependencies.
`----

I have to step down again. :-(

I attach the backtrace here (bt full).

-- 
A+ Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997